Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "bf1049cf-8c9d-4e07-8fac-c6d9df896a39",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "fa18341d-31e9-4d2b-887c-49cb99dbc22e",
"company_code": "sample string 5",
"company": {
"id": "5b9a427b-8048-4c9c-b493-3d6c02d10561",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-10T15:59:35.1380739+00:00",
"sales_territory_id": "b63b0d35-cdfa-49ac-a9fe-b0d180ec9e79",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2b778c3e-9a7f-430c-b14c-5828317b3eac",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "b520ae53-d057-4340-a1a3-a5a01b7f3f62",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "976b0dfc-483a-4014-96d4-d458e8209c72",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "38dc4204-7a3d-47e3-93f9-fbc521c75168",
"db_currency_id": "b5f31a40-a5a3-4792-b1cc-f1e202eae3dd",
"db_language_id": "7a494fc7-ee72-49e2-ad3f-b3f096af0135",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T15:59:35.1380739+00:00"
},
"modified_dateutc": "2026-11-10T15:59:35.1380739+00:00"
},
"marketing_segment_id": "152a2e8a-a9a4-4a9d-ae04-1b2bca50bb0e",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "979cc5ce-0d7a-41e8-85fa-2033dde3d6c1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "8175f811-422f-4d46-a10c-88c8a505b935",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "b6a34a7f-d4a7-483c-be81-c7c60493fb14",
"db_country_code": "sample string 28",
"feelist_id": "987cc14a-f735-4790-a45b-2609ec192ccd",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "e5520f49-af2a-43e9-9732-d1bae9a002d6",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "26db2a91-8215-4547-bbc0-c1124fd5ddfb",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-10T15:59:35.1549469+00:00",
"db_currency_id": "b04ead91-d66c-44bc-a890-271f477f6ad7",
"db_currency_code": "sample string 10"
},
"company_type_id": "5b8f98fe-b5fc-48f5-ae18-2707cb48d895",
"company_type_name": "sample string 32",
"company_type": {
"id": "3444d2f6-16e5-4cca-9bc1-11bc8c0ee755",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a7504d18-47bc-428d-a26c-177eeb96f3d4",
"sales_organization_code": "sample string 5"
},
"db_language_id": "40b7fa31-1af2-491f-a3eb-6987f5cf26cb",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "53da4883-7915-4b0e-a382-83789344a746",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "81018911-1b6d-430d-99d8-215efc4d51c8",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "bd53f9b3-7b7a-4e53-809c-9651f8b314b0",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-10T15:59:35.1549469+00:00"
},
"company_sector_id": "9ae73d8b-a4ba-4e28-a4d4-85e4c3a191cc",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "306b731b-f7bb-4fa5-b83a-0bc4a2769eb3",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "aefd5a2e-518d-47a2-8562-8fc5a77bd691",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "90b0031e-60e0-48bb-b8dd-016da1fc2db1",
"account_manager_user_code": "sample string 56",
"company_status_id": "4e2c4c20-2698-451c-8afa-2033ebcb2e45",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-10T15:59:35.1549469+00:00",
"id2": 60
},
"db_language_id": "11e2dbfe-c226-456f-9dd7-ed18676109c7",
"db_language_code": "sample string 7",
"db_title_id": "28a7dfbe-a657-46f0-b1a2-35a5caf4b60e",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-10T15:59:35.1549469+00:00",
"create_date": "2026-11-10T15:59:35.1549469+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-10T15:59:35.1549469+00:00"
}